[清大計中]【漏洞預警】Spring Framework存在安全漏洞(CVE-2018-1258與CVE-2018-1260),允許攻擊者繞過認證與存取系統上所限制的方法、或是遠端執行任意程式碼,請儘速確認並進行更新 - 國立清華大學工程與系統科學系
首頁 > 最新消息-站務及電腦Q&A
[清大計中]【漏洞預警】Spring Framework存在安全漏洞(CVE-2018-1258與CVE-2018-1260),允許攻擊者繞過認證與存取系統上所限制的方法、或是遠端執行任意程式碼,請儘速確認並進行更新

教育機構ANA通報平台

發佈編號 TACERT-ANA-2018051808055858 發佈時間 2018-05-18 08:48:10
事故類型 ANA-漏洞預警 發現時間 2018-05-15 00:00:00
影響等級    
[主旨說明:]【漏洞預警】Spring Framework存在安全漏洞(CVE-2018-1258與CVE-2018-1260),允許攻擊者繞過認證與存取系統上所限制的方法、或是遠端執行任意程式碼,請儘速確認並進行更新
[內容說明:]
轉發行政院國家資通安全會報技術服務中心 資安訊息警訊 NCCST-ANA-201805-0024


Spring Framework是一個開源的Java/Java EE的Full-Stack應用程式框架,Spring Security以及Spring Security OAuth2是一個認證與存取控制的應用程式框架。
 
研究人員發現Spring Framework存在多個安全漏洞,其中又以(CVE-2018-1258與CVE-2018-1260)兩個安全漏洞最為嚴重,允許未經授權的遠端攻擊者繞過認證與存取系統上所限制的方法,或是遠端執行任意程式碼。

 
此訊息僅發送到「區縣市網路中心」,煩請貴單位協助公告或轉發
[影響平台:]
CVE-2018-1258:
 
.Spring Framework 5.0.5
 
.Spring Security 5.0.4(含)之前的所有版本
 
CVE-2018-1260:
 
.Spring Security OAuth 2.3至2.3.2
 
.Spring Security OAuth 2.2至2.2.1
 
.Spring Security OAuth 2.1至2.1.1
 
.Spring Security OAuth 2.0至2.0.14
 
.Spring Security OAuth 1的所有版本

[建議措施:]
更新步驟及操作請洽詢維運廠商,如所使用的版本為上述受影響的Spring Framework、Spring Security及Spring Security OAuth版本,請參考下列連結進行更新:
 
.Spring Framework請至以下連結更新至5.0.6版以上:
 
(1) https://projects.spring.io/spring-framework/
 
(2) https://github.com/spring-projects/spring-framework/releases/tag/v5.0.6RELEASE
 
.Spring Security請至以下連結更新至5.0.5版以上: (1) https://projects.spring.io/spring-security/
 
(2) https://github.com/spring-projects/spring-security/releases/tag/5.0.5.RELEASE
 
.Spring Security OAuth請至以下連結進行更新: (1) 2.3.x請至以下連結更新至2.3.3: https://github.com/spring-projects/spring-security-oauth/releases/tag/2.3.3RELEASE
 
(2) 2.2.x請至以下連結更新至2.2.2: https://github.com/spring-projects/spring-security-oauth/releases/tag/2.2.2RELEASE
 
(3) 2.1.x請至以下連結更新至2.1.2: https://github.com/spring-projects/spring-security-oauth/releases/tag/2.1.2RELEASE
 
(4) 2.0.x請至以下連結更新至2.0.15: https://github.com/spring-projects/spring-security-oauth/releases/tag/2.0.15.RELEASE
 
請定期檢視系統/應用程式更新紀錄,避免駭客利用系統/應用程式安全性漏洞進行入侵行為,亦須更新防毒軟體病毒碼以加強防護。
[參考資料:]
1.https://pivotal.io/security/cve-2018-1258
 
2.https://tools.cisco.com/security/center/viewAlert.x?alertId=57883
 
3.https://pivotal.io/security/cve-2018-1260
 
(此通報僅在於告知相關資訊,並非為資安事件)如果您對此通報的內容有疑問或有關於此事件的建議,歡迎與我們連絡。
教育機構資安通報應變小組 網址:https://info.cert.tanet.edu.tw/
 
專線電話:07-5250211 網路電話:98400000 E-Mail:service@cert.tanet.edu.tw

 

瀏覽數